Subject: Re: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Mar 2021 22:07:12 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 13 Mar 2021 19:51:59 +0000
> 
> I've done nothing special, I've just a regular wide-int 32bit build on
> the virtual machine I've prepared, running interactivelly Emacs underg
> gdb is unusable for the reason I've described (outside gdb it works
> perfectly).  I think it has nothing to do with native compilation.

Maybe your GDB has problems with debugging 32-bit executables?

> > Meanwhile, could you please post the backtrace I asked for from the
> > 64-bit build?  Maybe it will tell me enough to get some ideas.
> 
> Here it is:

Very different.  I don't understand why all those functions you see
appear as ?? in my case.  Maybe it indeed has something to do with ELF
vs PE-COFF binaries.  I'm just guessing.